gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gdl::DockBar Class Reference
Inheritance diagram for Gdl::DockBar:
[legend]
Collaboration diagram for Gdl::DockBar:
[legend]

## Public Member Functions
virtual | ~DockBar ()
GdlDockBar* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDockBar* | gobj () const
| Provides access to the underlying C GtkObject.
| DockBar (Dock& dock)
Gtk::Orientation | get_orientation () const
void | set_style (DockBarStyle style)
DockBarStyle | get_style () const
Glib::PropertyProxy< DockBarStyle > | property_dockbar_style ()
| Dockbar style to show items on it.
Glib::PropertyProxy_ReadOnly < DockBarStyle > | property_dockbar_style () const
| Dockbar style to show items on it.
Glib::PropertyProxy < Glib::RefPtr< DockMaster > > | property_master ()
| GdlDockMaster object which the dockbar widget is attached to.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DockMaster > > | property_master () const
| GdlDockMaster object which the dockbar widget is attached to.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Functions
(Note that these are not member functions.)
Gdl::DockBar* | wrap (GdlDockBar* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockBar::~DockBar | ( |  | ) |
| virtual

Gdl::DockBar::DockBar | ( | Dock& | dock | ) |

## Member Function Documentation

Gtk::Orientation Gdl::DockBar::get_orientation | ( |  | ) | const

DockBarStyle Gdl::DockBar::get_style | ( |  | ) | const

static GType Gdl::DockBar::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GdlDockBar* Gdl::DockBar::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

const GdlDockBar* Gdl::DockBar::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

Glib::PropertyProxy< DockBarStyle > Gdl::DockBar::property_dockbar_style | ( |  | ) |

Dockbar style to show items on it.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< DockBarStyle > Gdl::DockBar::property_dockbar_style | ( |  | ) | const

Dockbar style to show items on it.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<DockMaster> > Gdl::DockBar::property_master | ( |  | ) |

GdlDockMaster object which the dockbar widget is attached to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DockMaster> > Gdl::DockBar::property_master | ( |  | ) | const

GdlDockMaster object which the dockbar widget is attached to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdl::DockBar::set_style | ( | DockBarStyle | style | ) |

## Friends And Related Function Documentation

Gdl::DockBar* wrap | ( | GdlDockBar * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockbar.h